Subject: Re: linux-next: manual merge of the drm-intel tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 22 Nov 2023 12:10:54 +1100

Hi all,

On Wed, 22 Nov 2023 11:51:37 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the drm-intel tree got a conflict in:
> 
>   drivers/gpu/drm/amd/display/amdgpu_dm/amdgpu_dm_helpers.c
> 
> between commit:
> 
>   9031e0013f81 ("drm/amd/display: Fix mst hub unplug warning")
> 
> from Linus' tree and commit:
> 
>   191dc43935d1 ("drm/dp_mst: Store the MST PBN divider value in fixed point format")
> 
> from the drm-intel tree.
> 
> I fixed it up (I just used the former) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

Actually, the resolution I used is below.

-- 
Cheers,
Stephen Rothwell

diff --cc drivers/gpu/drm/amd/display/amdgpu_dm/amdgpu_dm_helpers.c
index c7a29bb737e2,53e323b71d26..000000000000
--- a/drivers/gpu/drm/amd/display/amdgpu_dm/amdgpu_dm_helpers.c
+++ b/drivers/gpu/drm/amd/display/amdgpu_dm/amdgpu_dm_helpers.c
@@@ -209,11 -210,11 +210,11 @@@ static void dm_helpers_construct_old_pa
  			struct drm_dp_mst_atomic_payload *new_payload,
  			struct drm_dp_mst_atomic_payload *old_payload)
  {
 -	struct link_mst_stream_allocation_table current_link_table =
 -									link->mst_stream_alloc_table;
 -	struct link_mst_stream_allocation *dc_alloc;
 -	int pbn_per_slot = dfixed_trunc(pbn_per_slot_fp);
 -	int i;
 +	struct drm_dp_mst_atomic_payload *pos;
- 	int pbn_per_slot = mst_state->pbn_div;
++	int pbn_per_slot = dfixed_trunc(mst_state->pbn_div);
 +	u8 next_payload_vc_start = mgr->next_start_slot;
 +	u8 payload_vc_start = new_payload->vc_start_slot;
 +	u8 allocated_time_slots;
  
  	*old_payload = *new_payload;